from rest_framework import serializers
from videogames.models import VideoGame, VideoGameCollection, VideoGamePlatform


class VideoGameSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = VideoGame
        fields = "__all__"


class VideoGameCollectionSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = VideoGameCollection
        fields = "__all__"


class VideoGamePlatformSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = VideoGamePlatform
        fields = "__all__"
